# Update last seen and mark messages read

URL: https://www.inclamo.com/docs/api/client/conversations-api/update-last-seen

> Updates the contact's last seen time for the conversation and marks agent messages
sent before that time as read. Use this to send read receipts from a custom client
built on the API channel, so agents can see when the contact has read their messages.


## POST /public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/update_last_seen

Update last seen and mark messages read

Updates the contact's last seen time for the conversation and marks agent messages
sent before that time as read. Use this to send read receipts from a custom client
built on the API channel, so agents can see when the contact has read their messages.


Base URL: https://helpdesk.inclamo.com

### Parameters

- `inbox_identifier` (path, required, string): The identifier obtained from API inbox channel
- `contact_identifier` (path, required, string): The source id of contact obtained on contact create
- `conversation_id` (path, required, integer): The numeric ID of the conversation

### Responses

- 200: Last seen updated successfully
- 401: Unauthorized
- 404: Conversation not found

Schemas referenced with $ref are defined in the OpenAPI file: https://www.inclamo.com/docs/api/openapi.json
